Bug 1294813 - [geo-rep]: Multiple geo-rep session to the same slave is allowed for different users
[geo-rep]: Multiple geo-rep session to the same slave is allowed for differen...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Saravanakumar
: Triaged, ZStream
Depends On: 1261838
Blocks: 1335728 1336704
  Show dependency treegraph
 
Reported: 2015-12-30 07:44 EST by Saravanakumar
Modified: 2017-03-10 01:30 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1261838
: 1335728 1336704 (view as bug list)
Environment:
Last Closed: 2017-03-10 01:30:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Vijay Bellur 2015-12-30 07:45:06 EST
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid to geo-rep session [WIP]) posted (#4) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 2 Vijay Bellur 2016-01-05 10:37:40 EST
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid to geo-rep session) posted (#6) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 3 Vijay Bellur 2016-01-06 07:49:07 EST
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid to geo-rep session) posted (#7) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 4 Vijay Bellur 2016-02-18 06:12:05 EST
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid to geo-rep session) posted (#8) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 5 Vijay Bellur 2016-02-22 08:49:26 EST
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid to geo-rep session) posted (#9) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 6 Vijay Bellur 2016-02-24 10:34:39 EST
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid to geo-rep session) posted (#10) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 7 Vijay Bellur 2016-03-03 09:00:18 EST
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid to geo-rep session) posted (#11) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 8 Vijay Bellur 2016-03-07 03:39:13 EST
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid in geo-rep session) posted (#12) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 9 Vijay Bellur 2016-03-14 04:43:45 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid in geo-rep session) posted (#13) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 10 Vijay Bellur 2016-03-17 05:57:35 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave vol uuid in geo-rep session) posted (#14) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 11 Vijay Bellur 2016-03-22 07:15:38 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave volume uuid in geo-rep session) posted (#15) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 12 Mike McCune 2016-03-28 19:32:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 13 Vijay Bellur 2016-03-30 06:15:22 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave volume uuid in geo-rep session) posted (#16) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 14 Vijay Bellur 2016-04-12 05:59:18 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave volume uuid in geo-rep session) posted (#17) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 15 Vijay Bellur 2016-04-14 03:50:21 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave volume uuid in geo-rep session) posted (#18) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 16 Vijay Bellur 2016-04-14 07:20:20 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave volume uuid in geo-rep session) posted (#19) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 17 Vijay Bellur 2016-05-03 11:13:10 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave volume uuid in geo-rep session) posted (#20) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 18 Vijay Bellur 2016-05-03 11:14:05 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave volume uuid in geo-rep session) posted (#21) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 19 Vijay Bellur 2016-05-03 11:28:27 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave volume uuid in geo-rep session) posted (#22) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 20 Vijay Bellur 2016-05-03 11:37:09 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: involve slave volume uuid in geo-rep session) posted (#23) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 21 Vijay Bellur 2016-05-04 08:40:57 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#24) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 22 Vijay Bellur 2016-05-04 08:43:59 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#25) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 23 Vijay Bellur 2016-05-04 08:49:31 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#26) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 24 Vijay Bellur 2016-05-04 09:04:52 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#27) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 25 Vijay Bellur 2016-05-05 05:33:12 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#28) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 26 Vijay Bellur 2016-05-06 08:06:57 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#29) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 27 Vijay Bellur 2016-05-08 15:16:08 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#30) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 28 Vijay Bellur 2016-05-09 07:35:49 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#31) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 29 Vijay Bellur 2016-05-10 15:56:26 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#32) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 30 Vijay Bellur 2016-05-11 11:15:22 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#33) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 31 Vijay Bellur 2016-05-12 00:39:15 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#34) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 32 Vijay Bellur 2016-05-12 07:04:31 EDT
REVIEW: http://review.gluster.org/13111 (geo-rep: slave volume uuid to identify a geo-rep session) posted (#35) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)
Comment 33 Vijay Bellur 2016-05-12 09:39:12 EDT
REVIEW: http://review.gluster.org/13111 (glusterd/geo-rep: slave volume uuid to identify a geo-rep session) posted (#36) for review on master by Aravinda VK (avishwan@redhat.com)
Comment 34 Vijay Bellur 2016-05-12 09:44:32 EDT
REVIEW: http://review.gluster.org/13111 (glusterd/geo-rep: slave volume uuid to identify a geo-rep session) posted (#37) for review on master by Aravinda VK (avishwan@redhat.com)
Comment 35 Vijay Bellur 2016-05-13 02:23:02 EDT
COMMIT: http://review.gluster.org/13111 committed in master by Aravinda VK (avishwan@redhat.com) 
------
commit a9128cda34b1f696b717ba09fa0ac5a929be8969
Author: Saravanakumar Arumugam <sarumuga@redhat.com>
Date:   Tue Dec 29 19:22:36 2015 +0530

    glusterd/geo-rep: slave volume uuid to identify a geo-rep session
    
    Problem:
    Currently, it is possible to create multiple geo-rep session from
    the Master host to Slave host(s), where Slave host(s) belonging
    to the same volume.
    
    For example:
    Consider Master Host M1 having volume tv1 and Slave volume tv2,
    which spans across two Slave hosts S1 and S2.
    Currently, it is possible to create geo-rep session from
    M1(tv1) to S1(tv2) as well as from M1(tv1) to S2(tv2).
    
    When the Slave Host is alone modified, it is identified as a new geo-rep
    session (as slave host and slave volume together are identifying
    Slave side).
    
    Also, it is possible to create both root and non-root geo-rep session between
    same Master volume and Slave volume. This should also be avoided.
    
    Solution:
    This multiple geo-rep session creation must be avoided and
    in order to avoid, use Slave volume uuid to identify a Slave.
    This way, we can identify whether a session is already created for
    the same Slave volume and avoid creating again (using different host).
    
    When the session creation is forced in the above scenario, rename
    the existing geo-rep session directory with new Slave Host mentioned.
    
    Change-Id: I9239759cbc0d15dad63c48b8cf62950bb687c7c8
    BUG: 1294813
    Signed-off-by: Saravanakumar Arumugam <sarumuga@redhat.com>
    Signed-off-by: Aravinda VK <avishwan@redhat.com>
    Reviewed-on: http://review.gluster.org/13111
    Reviewed-by: Kotresh HR <khiremat@redhat.com>
    Tested-by: Kotresh HR <khiremat@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
Comment 36 Vijay Bellur 2016-05-17 05:02:33 EDT
REVIEW: http://review.gluster.org/14372 (glusterd/geo-rep: slave volume uuid to identify a geo-rep session) posted (#1) for review on release-3.8 by Saravanakumar Arumugam (sarumuga@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.